// RASDoc.cpp : implementation of the CRASDoc class
//

#include "stdafx.h"
#include "RAS.h"

#include "RAS_Doc.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CRASDoc

IMPLEMENT_DYNCREATE(CRASDoc, CDocument)

BEGIN_MESSAGE_MAP(CRASDoc, CDocument)
	//{{AFX_MSG_MAP(CRASDoc)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CRASDoc construction/destruction

CRASDoc::CRASDoc()
{
	// TODO: add one-time construction code here

}

CRASDoc::~CRASDoc()
{
}

BOOL CRASDoc::OnNewDocument()
{
	if (!CDocument::OnNewDocument())
		return FALSE;

	// TODO: add reinitialization code here
	// (SDI documents will reuse this document)

	return TRUE;
}



/////////////////////////////////////////////////////////////////////////////
// CRASDoc serialization

void CRASDoc::Serialize(CArchive& ar)
{
//	int TrlIdxInMap=*m_pView->M_usableTrialIdxInMem;
	int i, numEcode;
	//Reading
	if (!ar.IsStoring())
	{

	}
}

/////////////////////////////////////////////////////////////////////////////
// CRASDoc diagnostics

#ifdef _DEBUG
void CRASDoc::AssertValid() const
{
	CDocument::AssertValid();
}

void CRASDoc::Dump(CDumpContext& dc) const
{
	CDocument::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CRASDoc commands
